import { SegmentInput } from './runtime/registry/segment.ts';
import { PlausibleAnalyticsInput } from './runtime/registry/plausible-analytics.ts';
import { GoogleAnalyticsInput } from './runtime/registry/google-analytics.ts';
import { RegistryScripts } from '#nuxt-scripts';

declare function GoogleAnalyticsScriptResolver(options?: GoogleAnalyticsInput): string;
declare function PlausibleAnalyticsScriptResolver(options: PlausibleAnalyticsInput): string;
declare function CloudflareWebAnalyticsScriptResolver(): string;
declare function SegmentScriptResolver(options: SegmentInput): string;
declare function FacebookPixelScriptResolver(): string;
declare const registry: (resolve?: (s: string) => string) => RegistryScripts;

export { CloudflareWebAnalyticsScriptResolver, FacebookPixelScriptResolver, GoogleAnalyticsScriptResolver, PlausibleAnalyticsScriptResolver, SegmentScriptResolver, registry };
