import { useElementHover, useElementVisibility, watchOnce } from "@vueuse/core";
import { ref } from "vue";
export function useElementScriptTrigger(options) {
  const { el, trigger } = options;
  if (import.meta.server || !el)
    return new Promise(() => {
    });
  const $el = typeof el !== "undefined" ? el : document.body;
  const activeRef = trigger ? trigger === "mouseover" ? useElementHover($el) : useElementVisibility($el) : ref(false);
  return trigger ? new Promise((resolve) => watchOnce([activeRef], () => resolve())) : Promise.resolve();
}
