import type { RegistryScriptInput } from '#nuxt-scripts';
type StandardEvents = 'AddPaymentInfo' | 'AddToCart' | 'AddToWishlist' | 'CompleteRegistration' | 'Contact' | 'CustomizeProduct' | 'Donate' | 'FindLocation' | 'InitiateCheckout' | 'Lead' | 'Purchase' | 'Schedule' | 'Search' | 'StartTrial' | 'SubmitApplication' | 'Subscribe' | 'ViewContent';
interface EventObjectProperties {
    content_category?: string;
    content_ids?: string[];
    content_name?: string;
    content_type?: string;
    contents: {
        id: string;
        quantity: number;
    }[];
    currency?: string;
    delivery_category?: 'in_store' | 'curbside' | 'home_delivery';
    num_items?: number;
    predicted_ltv?: number;
    search_string?: string;
    status?: 'completed' | 'updated' | 'viewed' | 'added_to_cart' | 'removed_from_cart' | string;
    value?: number;
    [key: string]: any;
}
type FbqFns = ((event: 'track', eventName: StandardEvents, data?: EventObjectProperties) => void) & ((event: 'trackCustom', eventName: string, data?: EventObjectProperties) => void) & ((event: 'init', id: number, data?: Record<string, any>) => void) & ((event: 'init', id: string) => void) & ((event: string, ...params: any[]) => void);
export interface FacebookPixelApi {
    fbq: FbqFns & {
        push: FbqFns;
        loaded: boolean;
        version: string;
        queue: any[];
    };
    _fbq: FacebookPixelApi['fbq'];
}
declare global {
    interface Window extends FacebookPixelApi {
    }
}
export declare const FacebookPixelOptions: import("valibot").ObjectSchema<{
    id: import("valibot").UnionSchema<(import("valibot").NumberSchema<number> | import("valibot").StringSchema<string>)[], string | number>;
}, undefined, {
    id: string | number;
}>;
export type FacebookPixelInput = RegistryScriptInput<typeof FacebookPixelOptions>;
export declare function useScriptFacebookPixel<T extends FacebookPixelApi>(_options?: FacebookPixelInput): T & {
    $script: Promise<T> & import("@unhead/vue").VueScriptInstance<T>;
};
export {};
