import { registryScript } from "../utils.mjs";
import { object } from "#nuxt-scripts-validator";
export const LemonSqueezyOptions = object({});
export function useScriptLemonSqueezy(_options) {
  return registryScript("lemonSqueezy", () => ({
    scriptInput: {
      src: "https://assets.lemonsqueezy.com/lemon.js",
      // @ts-expect-error untyped
      crossorigin: null
    },
    schema: import.meta.dev ? LemonSqueezyOptions : void 0,
    scriptOptions: {
      use() {
        if (typeof window.createLemonSqueezy === "undefined")
          return void 0;
        window.createLemonSqueezy();
        return window.LemonSqueezy;
      }
    }
  }), _options);
}
