import { registryScript } from "../utils.mjs";
import { object } from "#nuxt-scripts-validator";
import { useHead } from "#imports";
export const VimeoPlayerOptions = object({});
export function useScriptVimeoPlayer(_options) {
  return registryScript("vimeoPlayer", () => ({
    scriptInput: {
      src: "https://player.vimeo.com/api/player.js"
    },
    schema: import.meta.dev ? VimeoPlayerOptions : void 0,
    scriptOptions: {
      use() {
        let Player;
        if (import.meta.client) {
          Player = function(...params) {
            return new window.Vimeo.Player(...params);
          };
        }
        return { Player };
      }
    },
    beforeInit() {
      useHead({
        link: [
          {
            rel: "preconnect",
            href: "https://player.vimeo.com"
          },
          {
            rel: "preconnect",
            href: "https://i.vimeocdn.com"
          },
          {
            rel: "preconnect",
            href: "https://f.vimeocdn.com"
          },
          {
            rel: "preconnect",
            href: "https://fresnel.vimeocdn.com"
          }
        ]
      });
    }
  }), _options);
}
