import { registryScript } from "../utils.mjs";
import { object, optional, string } from "#nuxt-scripts-validator";
export const XPixelOptions = object({
  id: string(),
  version: optional(string())
});
export function useScriptXPixel(_options) {
  return registryScript("xPixel", (options) => ({
    scriptInput: {
      src: "https://static.ads-twitter.com/uwt.js"
    },
    schema: import.meta.dev ? XPixelOptions : void 0,
    scriptOptions: {
      use() {
        return { twq: window.twq };
      },
      clientInit: import.meta.server ? void 0 : () => {
        const s = window.twq = function(...params) {
          s.exe ? s.exe(s, ...params) : s.queue.push(params);
        };
        s.version = options?.version || "1.1";
        s.queue = [
          ["config", options?.id]
        ];
      }
    }
  }), _options);
}
