import { registryScript } from "../utils.mjs";
import { object } from "#nuxt-scripts-validator";
import { useHead } from "#imports";
export const YouTubeIframeOptions = object({
  // no options afaik
});
export function useScriptYouTubeIframe(_options) {
  let readyPromise = Promise.resolve();
  return registryScript("youtubeIframe", () => ({
    scriptInput: {
      src: "https://www.youtube.com/iframe_api",
      // opt-out of privacy defaults
      // @ts-expect-error TODO add types
      crossorigin: null
    },
    schema: import.meta.dev ? YouTubeIframeOptions : void 0,
    scriptOptions: {
      use() {
        return {
          YT: readyPromise.then(() => {
            return window.YT;
          })
        };
      },
      clientInit: import.meta.server ? void 0 : () => {
        readyPromise = new Promise((resolve) => {
          window.onYouTubeIframeAPIReady = resolve;
        });
      },
      beforeInit() {
        useHead({
          link: [
            {
              rel: "preconnect",
              href: "https://www.youtube-nocookie.com"
            },
            {
              rel: "preconnect",
              href: "https://www.google.com"
            },
            {
              rel: "preconnect",
              href: "https://googleads.g.doubleclick.net"
            },
            {
              rel: "preconnect",
              href: "https://static.doubleclick.net"
            }
          ]
        });
      }
    }
  }), _options);
}
