import type { Input, ObjectSchema } from 'valibot';
import type { UseScriptInput } from '@unhead/vue';
import type { NuxtUseScriptOptions, RegistryScriptInput } from '#nuxt-scripts';
type OptionsFn<O extends ObjectSchema<any>> = (options: Input<O>) => ({
    scriptInput?: UseScriptInput;
    scriptOptions?: NuxtUseScriptOptions;
    schema?: O;
    clientInit?: () => void;
});
export declare function registryScript<T extends Record<string | symbol, any>, O extends ObjectSchema<any>>(key: string, optionsFn: OptionsFn<O>, _userOptions?: RegistryScriptInput<O>): T & {
    $script: Promise<T> & import("@unhead/vue").VueScriptInstance<T>;
};
export {};
